Package net.shibboleth.idp.plugin.authn.webauthn.admin

# Interface CredentialCreationOptionsParameters.IDisplayNameStage

All Known Implementing Classes:
  `CredentialCreationOptionsParameters.Builder`

Enclosing class:
  CredentialCreationOptionsParameters

public static interface CredentialCreationOptionsParameters.IDisplayNameStage
Stage interface.

## Method Summary

Modifier and Type
Method
Description
`CredentialCreationOptionsParameters.IResidentKeyRequirementStage`
`withDisplayName(String name)`
The user.displayName supplied to the authenticator during registration.

## Method Details

### withDisplayName

CredentialCreationOptionsParameters.IResidentKeyRequirementStage withDisplayName(@Nonnull @NotEmpty String name)
The user.displayName supplied to the authenticator during registration. A human-palatable name for the user account, intended only for display

Parameters:
  `name` - the display name
Returns:
  the next stage